curl --request POST \
--url https://api.simplified-webhooks.com/webhooks/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseId": "appkGlXEiufQLn1Qd",
"tableId": "tblMHdKX6vN1Eci9x",
"event": "record_create",
"webhookUrl": "https://hook.eu1.make.com/your-unique-hook-id",
"name": "New invoices"
}
'
{
"message": "<string>",
"webhookId": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Webhooks
Register a webhook
Start receiving Airtable change notifications at your HTTPS URL. Pick an event type (new records, updates, schema changes, etc.).
POST
/
webhooks
/
register
curl --request POST \
--url https://api.simplified-webhooks.com/webhooks/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseId": "appkGlXEiufQLn1Qd",
"tableId": "tblMHdKX6vN1Eci9x",
"event": "record_create",
"webhookUrl": "https://hook.eu1.make.com/your-unique-hook-id",
"name": "New invoices"
}
'
{
"message": "<string>",
"webhookId": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Authorizations
Your Simplified Webhooks API key, sent as a bearer token: Authorization: Bearer sk_.... Create API keys in your profile settings.
Body
application/json
Registration body — shape depends on event.
- Watch New Records
- Watch Updated Records
- Watch Deleted Records
- Watch New Tables
- Watch Updated Tables
- Watch Deleted Tables
- Watch New Columns
- Watch Updated Columns
- Watch Deleted Columns
- Watch Base Record Changes
- Watch Base Schema Changes